QGIS Application - Bug report #15241

DB-Manager and Oracle: only <NULL> values in table preview

2016-07-08 05:26 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 23177
Description

| have a table that displays well in QGIS main canvas - both geometry and attribute table - but in the DB-Manager the attribute table only

shows NULL values. The geometric preview in db manager is fine.

The primary key is on a varchar2 column - not sure if this matters. Perhaps DBmanager expects pkey on integer columns?

Attached is the table definition of the oracle table and a screenshot.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 04:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#3 - 2019-03-28 01:20 PM - Andreas Neumann
- Resolution set to worksforme

- Status changed from Feedback to Closed

- Description updated

seems to work fine now

Files
hydranten_baar.sql 4.97 KB 2016-07-08 Andreas Neumann
oracle_db_manager_null_values.png 374 KB 2016-07-08 Andreas Neumann
